Package org.apache.sysds.utils

## Interface SettingsChecker

    public interface SettingsChecker

Settings Checker class that contains checks for the JVM setting of systemds when executed. These checks helps users configure systemds correctly in case the settings were incorrectly set.

### Field Summary

Fields
`static org.apache.commons.logging.Log` `LOG`

### Method Summary

Static Methods
`static String` `byteMemoryToHumanReadableString​(long bytes)` Converts a number of bytes in a long to a human readable string with GB, MB, KB and B.
`static void` `check()` Check if the settings set are correct, otherwise write warnings to a user.

### Field Detail

#### LOG

    static final org.apache.commons.logging.Log LOG

### Method Detail

#### check

    static void check()

Check if the settings set are correct, otherwise write warnings to a user.

#### byteMemoryToHumanReadableString

    static String byteMemoryToHumanReadableString​(long bytes)

Converts a number of bytes in a long to a human readable string with GB, MB, KB and B.

Parameters:
  `bytes` - Number of bytes.
Returns:
  A human readable string